---
 Xext/Makefile.am           |    6 ++++++
 configure.ac               |    9 ++++++++-
 include/kdrive-config.h.in |    3 +++
 mi/miinitext.c             |    6 ++++++
 4 files changed, 23 insertions(+), 1 deletion(-)

Index: xorg-server-1.3.0.0/mi/miinitext.c
===================================================================
--- xorg-server-1.3.0.0.orig/mi/miinitext.c	2007-05-15 16:05:34.000000000 +0100
+++ xorg-server-1.3.0.0/mi/miinitext.c	2007-05-15 16:05:39.000000000 +0100
@@ -372,6 +372,9 @@ extern void ResExtensionInit(INITARGS);
 #ifdef DMXEXT
 extern void DMXExtensionInit(INITARGS);
 #endif
+#ifdef XCALIBRATE
+extern void XCalibrateExtensionInit(INITARGS);
+#endif
 #ifdef XEVIE
 extern void XevieExtensionInit(INITARGS);
 #endif
@@ -663,6 +666,9 @@ InitExtensions(argc, argv)
 #ifdef DAMAGE
     if (!noDamageExtension) DamageExtensionInit();
 #endif
+#ifdef  XCALIBRATE
+    XCalibrateExtensionInit ();
+#endif
 }
 
 void
Index: xorg-server-1.3.0.0/configure.ac
===================================================================
--- xorg-server-1.3.0.0.orig/configure.ac	2007-05-15 16:05:34.000000000 +0100
+++ xorg-server-1.3.0.0/configure.ac	2007-05-15 16:17:54.000000000 +0100
@@ -421,6 +421,7 @@ AC_ARG_ENABLE(xf86vidmode,    AS_HELP_ST
 AC_ARG_ENABLE(xf86misc,       AS_HELP_STRING([--disable-xf86misc], [Build XF86Misc extension (default: enabled)]), [XF86MISC=$enableval], [XF86MISC=yes])
 AC_ARG_ENABLE(xace,     AS_HELP_STRING([--disable-xace], [Build X-ACE extension (default: enabled)]), [XACE=$enableval], [XACE=yes])
 AC_ARG_ENABLE(xcsecurity,     AS_HELP_STRING([--disable-xcsecurity], [Build Security extension (default: enabled)]), [XCSECURITY=$enableval], [XCSECURITY=$XACE])
+AC_ARG_ENABLE(xcalibrate,     AS_HELP_STRING([--enable-xcalibrate], [Build XCalibrate extension (default: disabled)]), [XCALIBRATE=$enableval], [XCALIBRATE=no])
 AC_ARG_ENABLE(appgroup,       AS_HELP_STRING([--disable-appgroup], [Build XC-APPGROUP extension (default: enabled)]), [APPGROUP=$enableval], [APPGROUP=$XCSECURITY])
 AC_ARG_ENABLE(xcalibrate,     AS_HELP_STRING([--enable-xcalibrate], [Build XCalibrate extension (default: disabled)]), [XCALIBRATE=$enableval], [XCALIBRATE=no])
 AC_ARG_ENABLE(tslib,          AS_HELP_STRING([--enable-tslib], [Build kdrive tslib touchscreen support (default: disabled)]), [TSLIB=$enableval], [TSLIB=no])
@@ -653,6 +654,12 @@ if test "x$XCSECURITY" = xyes; then
 	AC_DEFINE(XCSECURITY, 1, [Build Security extension])
 fi
 
+AM_CONDITIONAL(XCALIBRATE, [test "x$XCALIBRATE" = xyes])
+if test "x$XCALIBRATE" = xyes; then
+	AC_DEFINE(XCALIBRATE, 1, [Build XCalibrate extension])
+	REQUIRED_MODULES="$REQUIRED_MODULES xcalibrateproto"
+fi
+
 AM_CONDITIONAL(XEVIE, [test "x$XEVIE" = xyes])
 if test "x$XEVIE" = xyes; then
 	AC_DEFINE(XEVIE, 1, [Build XEvIE extension])
@@ -1547,7 +1554,7 @@ if test "$KDRIVE" = yes; then
 	    ;;
     esac
     KDRIVE_STUB_LIB='$(top_builddir)/hw/kdrive/src/libkdrivestubs.a'
-    KDRIVE_LIBS="$DIX_LIB $KDRIVE_LIB $KDRIVE_OS_LIB $KDRIVE_PURE_LIBS $KDRIVE_STUB_LIB $TSLIB_LIBS"
+    KDRIVE_LIBS="$DIX_LIB $KDRIVE_LIB $KDRIVE_PURE_LIBS $KDRIVE_OS_LIB $KDRIVE_STUB_LIB $TSLIB_LIBS"
 
     # check if we can build Xephyr
     PKG_CHECK_MODULES(XEPHYR, x11 xext xfont xau xdmcp, [xephyr="yes"], [xephyr="no"])
Index: xorg-server-1.3.0.0/include/kdrive-config.h.in
===================================================================
--- xorg-server-1.3.0.0.orig/include/kdrive-config.h.in	2007-05-15 16:05:34.000000000 +0100
+++ xorg-server-1.3.0.0/include/kdrive-config.h.in	2007-05-15 16:05:39.000000000 +0100
@@ -25,4 +25,7 @@
 /* Verbose debugging output hilarity */
 #undef DEBUG
 
+/* Enable XCalibrate extension */
+#undef XCALIBRATE
+
 #endif /* _KDRIVE_CONFIG_H_ */
Index: xorg-server-1.3.0.0/Xext/Makefile.am
===================================================================
--- xorg-server-1.3.0.0.orig/Xext/Makefile.am	2007-05-15 16:05:34.000000000 +0100
+++ xorg-server-1.3.0.0/Xext/Makefile.am	2007-05-15 16:05:39.000000000 +0100
@@ -91,6 +91,11 @@ BUILTIN_SRCS += $(XCALIBRATE_SRCS)
 # XCalibrare needs tslib
 endif
 
+XCALIBRATE_SRCS = xcalibrate.c
+if XCALIBRATE
+BUILTIN_SRCS += $(XCALIBRATE_SRCS)
+endif
+
 # X EVent Interception Extension: allows accessibility helpers & composite
 # managers to intercept events from input devices and transform as needed
 # before the clients see them.
@@ -169,6 +174,7 @@ EXTRA_DIST = \
 	$(XCSECURITY_SRCS) \
 	$(XCALIBRATE_SRCS) \
 	$(XINERAMA_SRCS) \
+	$(XCALIBRATE_SRCS) \
 	$(XEVIE_SRCS) \
 	$(XPRINT_SRCS) \
 	$(APPGROUP_SRCS) \
